import type { BaseAvatarProps } from './Avatar.types';
interface StyledAvatarProps {
    $clickable: BaseAvatarProps['clickable'];
    $disabled: BaseAvatarProps['disabled'];
    $size: BaseAvatarProps['size'];
}
export declare const StyledAvatarOverlay: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledIconContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledLabelContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledPortraitContainer: import("styled-components").StyledComponent<"div", any, {
    $imageUrl: string;
}, never>;
export declare const StyledAvatarContainer: import("styled-components").StyledComponent<"div", any, StyledAvatarProps, never>;
export {};
